ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gregoire Henry" <ghynxm...@gmail.com>
Subject problem using dynamic revision in dependencies ...
Date Mon, 12 Mar 2007 16:09:10 GMT
Hello

i'm in front of a probleme using dynamic revision in dependencies part of
ivy.xml .

I have an ivy file with the following

    <dependencies>
        <dependency org="jfree" name="jfreechart" rev="[1.0.0,)"
transitive="true" conf="default->default" />
    </dependencies>

If i've clearly understood the documentation (...) this should give me a
dependency between my artifact and any version of jfreechart starting with
(an including) 1.0.0 ...

ok , but when i make a resolve, i have the following message :
[ivy:resolve]           :: [ jfree | jfreechart | [1.0.0,) ]: Invalid uri '
http://phbldmrs/ivy-rep/jfree/jfreechart/[1.0.0,)/ivys/ivy-[1.0.0,).xml':
escaped absolute path not valid

 well .. seems that ivy try to directly download a [1.0.0,) version with no
attempt to transform the dynamic revision.

Is this a bug or am i making something wrong ?

Thank's

Greg

Build manager - lswe.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message